Name:           iptraf-ng
Version:        1.2.1
Release:        %mkrel 2
Summary:        TCP/IP Network Monitor
License:        GPLv2
Group:          System/Networking
Url:            https://github.com/iptraf-ng/iptraf-ng/
Source0:        https://github.com/iptraf-ng/iptraf-ng/archive/v%{version}.tar.gz
Source2:        %{name}-tmpfiles.conf
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  xz
Obsoletes:	iptraf

%description
IPTraf-ng is a console-based network monitoring utility.  IPTraf gathers
data like TCP connection packet and byte counts, interface statistics
and activity indicators, TCP/UDP traffic breakdowns, and LAN station
packet and byte counts.  

%prep
%setup -q

%build
make %{?_smp_mflags} V=1 \
  CFLAGS="-g -O2 -Wall -W -std=gnu99 -Werror=format-security %{optflags}" \
  LDFLAGS="$RPM_LD_FLAGS"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} prefix=%{_prefix}

# remove everything besides the html and pictures in Documentation
find Documentation -type f | grep -v '\.html$\|\.png$\|/stylesheet' | \
     xargs rm -f

install -D -m 0644 -p iptraf-ng-logrotate.conf %{buildroot}%{_sysconfdir}/logrotate.d/iptraf-ng

install -d -m 0755 %{buildroot}%{_localstatedir}/{log,lib}/iptraf-ng

mkdir -p %{buildroot}%{_prefix}/lib/tmpfiles.d
install -m 0644 %{SOURCE2} %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf

%files
%doc CHANGES FAQ LICENSE README*
%doc Documentation
%{_sbindir}/iptraf-ng
%{_mandir}/man8/iptraf-ng.8*
%{_localstatedir}/log/iptraf-ng
%{_localstatedir}/lib/iptraf-ng
%config(noreplace) %{_sysconfdir}/logrotate.d/iptraf-ng
%{_prefix}/lib/tmpfiles.d/%{name}.conf


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 1.2.1-2.mga9
+ Revision: 1797787
- Mageia 9 Mass Rebuild

* Sat Sep 05 2020 pterjan <pterjan> 1.2.1-1.mga8
+ Revision: 1622777
- Remove the /run dir from the package
- Update to 1.2.1 and mostly sync with Fedora

* Thu Feb 13 2020 umeabot <umeabot> 1.1.4-7.mga8
+ Revision: 1513660
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1.4-6.mga7
+ Revision: 1298315
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1.4-5.mga6
+ Revision: 945178
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.4-4.mga5
+ Revision: 743008
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.4-3.mga5
+ Revision: 680551
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.4-2.mga4
+ Revision: 531856
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 pterjan <pterjan> 1.1.4-1.mga4
+ Revision: 465557
- Build against ncursesw
- 1.1.4
- Drop patch0 and update patch1

* Tue Jan 22 2013 fwang <fwang> 1.1.3.1-3.mga3
+ Revision: 390884
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 1.1.3.1-2.mga3
+ Revision: 354471
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 pterjan <pterjan> 1.1.3.1-1.mga3
+ Revision: 322910
- imported package iptraf-ng


* Wed Nov 28 2012 Pascal Terjan <pterjan> 1.1.3.1-1.mga3
- Import from Mandriva
- Add a Debian patch for kernel >= 3.5
- Patch for format security errors

* Fri May 25 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.1.3.1-1
+ Revision: 800498
- version update 1.1.3.1

* Sat Jan 14 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.1.0-1
+ Revision: 760855
- imported package iptraf-ng

